Time Entries

Create time entry

POST
/time_entries.json

Create a new time entry

Authorization

ApiKeyAuth
headerX-Redmine-API-Key<token>

Request Body

application/json
  1. body
time_entry*

Time entry create payload

Response Body

The request has succeeded and a new resource has been created as a result.

application/json
  1. response
time_entry*

Redmine Time Entry

curl -X POST 'https://redmine.example.com/time_entries.json' \  -H 'Content-Type: application/json' \  -d '{  "time_entry": {    "hours": 0.1  }}'
{  "time_entry": {    "id": 0,    "project": {      "id": 0,      "name": "string"    },    "issue": {      "id": 0    },    "user": {      "id": 0,      "name": "string"    },    "author": {      "id": 0,      "name": "string"    },    "activity": {      "id": 0,      "name": "string"    },    "hours": 0.1,    "comments": "string",    "spent_on": "2019-08-24",    "custom_fields": [      {        "id": 0,        "name": "string",        "multiple": true,        "value": "string"      }    ],    "created_on": "2019-08-24T14:15:22Z",    "updated_on": "2019-08-24T14:15:22Z"  }}